#version 410 core

in vec3 vertexPosition;
in vec3 vertexNormal;
in vec2 vertexUVCoord;
layout(location=0) out vec4 fragmentColor;

vec4 lightColor = vec4(1.0, 1.0, 1.0, 1.0);
vec4 ambientColor = vec4(0.0125, 0.0125, 0.0125, 1.0);

uniform sampler2D tex;

uniform vec3 cameraPosition;
uniform vec3 lightPosition = vec3(0.0, 1500.0, 0.0);

uniform int hasTexture = 0;
uniform int hasDiffuseColor = 0;
uniform int hasSpecularColor = 0;
uniform vec4 colorDiffuse;
uniform vec4 colorSpecular;
uniform float shininess;

uniform vec3 spotlightPosition;
uniform vec3 spotlightDirection;
uniform vec3 spotlightColor;
uniform int night;

void main()
{
    fragmentColor = vec4(0.0, 0.0, 0.0, 0.9);
}